# Class: YARD::Server::Commands::FramesCommand

Inherits:
  DisplayObjectCommand
  - Object
  - Base
  - LibraryCommand
  - DisplayObjectCommand
  - YARD::Server::Commands::FramesCommand
  show all

Defined in:
  lib/yard/server/commands/frames_command.rb

## Overview

Displays an object wrapped in frames

Since:

- 0.6.0

## Instance Method Summary collapse

- #run ⇒ Object

### Methods included from DocServerHelper

#abs_url, #base_path, #mtime, #mtime_url, #router, #url_for, #url_for_file, #url_for_frameset, #url_for_index, #url_for_list, #url_for_main

### Methods included from StaticCaching

#cache, #check_static_cache

## Constructor Details

This class inherits a constructor from YARD::Server::Commands::LibraryCommand

## Instance Method Details

### #run ⇒ `Object`

Since:

- 0.6.0

    7
    8
    9
    10
    11
    12

    # File 'lib/yard/server/commands/frames_command.rb', line 7

    def run
      options.update(:frames => true, :type => :fulldoc)
      tpl = fulldoc_template
      tpl.generate_frameset
      cache(tpl.contents)
    end